Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2
Class StrutsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.opensymphony.xwork2.XWorkException
                      org.apache.struts2.StrutsException

All Implemented Interfaces:
  Locatable, java.io.Serializable

    public class StrutsException

extends XWorkException
implements Locatable

A generic runtime exception that optionally contains Location information

See Also:
  Serialized Form

Constructor Summary
`StrutsException()` Constructs a `StrutsException` with no detail message.
`StrutsException(java.lang.String s)` Constructs a `StrutsException` with the specified detail message.
`StrutsException(java.lang.String s, java.lang.Object target)` Constructs a `StrutsException` with the specified detail message and target.
`StrutsException(java.lang.String s, java.lang.Throwable cause)` Constructs a `StrutsException` with the specified detail message and exception cause.
`StrutsException(java.lang.String s, java.lang.Throwable cause, java.lang.Object target)` Constructs a `StrutsException` with the specified detail message, cause, and target
`StrutsException(java.lang.Throwable cause)` Constructs a `StrutsException` with the root cause
`StrutsException(java.lang.Throwable cause, java.lang.Object target)` Constructs a `StrutsException` with the root cause and target

Method Summary

Methods inherited from class com.opensymphony.xwork2.XWorkException
`getLocation, getThrowable, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.util.location.Locatable
`getLocation`

Constructor Detail

### StrutsException

    public StrutsException()

  Constructs a `StrutsException` with no detail message.

### StrutsException

    public StrutsException(java.lang.String s)

  Constructs a `StrutsException` with the specified detail message.

  Parameters:
    `s` - the detail message.

### StrutsException

    public StrutsException(java.lang.String s,
                           java.lang.Object target)

  Constructs a `StrutsException` with the specified detail message and target.

  Parameters:
    `s` - the detail message.
    `target` - the target of the exception.

### StrutsException

    public StrutsException(java.lang.Throwable cause)

  Constructs a `StrutsException` with the root cause

  Parameters:
    `cause` - The wrapped exception

### StrutsException

    public StrutsException(java.lang.Throwable cause,
                           java.lang.Object target)

  Constructs a `StrutsException` with the root cause and target

  Parameters:
    `cause` - The wrapped exception
    `target` - The target of the exception

### StrutsException

    public StrutsException(java.lang.String s,
                           java.lang.Throwable cause)

  Constructs a `StrutsException` with the specified detail message and exception cause.

  Parameters:
    `s` - the detail message.
    `cause` - the wrapped exception

### StrutsException

    public StrutsException(java.lang.String s,
                           java.lang.Throwable cause,
                           java.lang.Object target)

  Constructs a `StrutsException` with the specified detail message, cause, and target

  Parameters:
    `s` - the detail message.
    `cause` - The wrapped exception
    `target` - The target of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.